#!/bin/bash
#
# This script is supposed to be called periodically.
# It goes through the last few lines of a radsecproxy log and counts events.
# The resulting numbers are then reported in the simple check_mk format.
#

# Debugging option
#set -x

# Go into appropriate directory
cd `dirname $0`

# Include log watch functions
. ./logwatch.functions.sh

# Use helper function to get $log_start and $log_end for current log
lookAtLog "/var/log/radsecproxy.log" "radsecproxy-logstats.db"


### Initialize counters ###
login_ok=0
login_incorrect=0

### Do the statistics ###

access_accept=$(getLogLines | grep 'Access-Accept for user' | wc -l)
access_reject=$(getLogLines | grep 'Access-Reject for user' | wc -l)

### Report counter results ###
echo "P RadSecProxy-logstats access-accept=$access_accept|access-reject=$access_reject Additional metrics from RadSecProxy"

# That's it.
exit 0

